# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "error-fatality-proc-macro"
version = "0.1.2"
authors = [
    "Ash Manning <10554686+A-Manning@users.noreply.github.com>",
    "Bernhard Schuster <bernhard@ahoi.io>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Fatality extension to crate thiserror - proc-macro part"
readme = false
license = "MIT OR Apache-2.0"
repository = "https://github.com/A-Manning/error-fatality.git"

[features]
default = []
expand = []

[lib]
name = "error_fatality_proc_macro"
path = "src/lib.rs"
proc-macro = true

[dependencies.expander]
version = "2"

[dependencies.indexmap]
version = "2"

[dependencies.proc-macro-crate]
version = "3.1"

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2"
features = [
    "parsing",
    "printing",
    "full",
    "extra-traits",
]

[dev-dependencies.assert_matches]
version = "1"

[lints.clippy]
assertions_on_result_states = "allow"
let_unit_value = "allow"
print_stderr = "deny"
print_stdout = "deny"
wildcard_imports = "deny"

[lints.clippy.all]
level = "deny"
priority = -1

[lints.rust]
let_underscore_drop = "deny"
